jphase.distributions

## Interface IDistribution

- All Known Implementing Classes:
    EDistribution

      public interface IDistribution

  This interface defines the methods necessary to define a distribution
  Author:
    Andrés Sarmiento. Universidad de los Andes. (C) 2013

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `ajustarParametros(cern.colt.list.DoubleArrayList data)` Fits the parameters of the distribution to data
    `java.lang.String` | `aString()` Returns and string with the description of the distribution
    `umontreal.iro.lecuyer.probdist.ContinuousDistribution` | `darDistribucion()` Returns the distribution
    `umontreal.iro.lecuyer.randvar.RandomVariateGen` | `darGenerador()` Returns the actual distribution
    `umontreal.iro.lecuyer.randvar.RandomVariateGen` | `darGenerador(umontreal.iro.lecuyer.rng.RandomStream s, java.lang.String modGenT)` Returns the generator for the distribution
    `umontreal.iro.lecuyer.randvar.RandomVariateGen` | `darGenerador(umontreal.iro.lecuyer.rng.RandomStream s, java.lang.String nombre, java.util.ArrayList<java.lang.Double> paramatros)` Returns the generator for the distribution
    `java.util.ArrayList<java.lang.String>` | `darGeneradores()` Return the generator for the distribution
    `java.util.ArrayList<java.lang.String>` | `darParametros()` Resturns the parameters of the distribution
    `double[]` | `getMoments()` Gets the moments from the distribution
    `java.lang.String` | `getName()` Returns the name of the distribution
    `org.jfree.data.xy.DefaultTableXYDataset` | `getPDF(double a, double b, int m)` Returns and dataset with the PDF of the distribution in different points, this method is necessary for painting the distribution

- - ### Method Detail

    - #### darGeneradores

          java.util.ArrayList<java.lang.String> darGeneradores()

      Return the generator for the distribution
      Returns:
        generator

    - #### darGenerador

          umontreal.iro.lecuyer.randvar.RandomVariateGen darGenerador(umontreal.iro.lecuyer.rng.RandomStream s,
                                                                    java.lang.String nombre,
                                                                    java.util.ArrayList<java.lang.Double> paramatros)

      Returns the generator for the distribution
      Parameters:
        `s` - name of the U generator
        `nombre` - name of the distribution
        `paramatros` - parameters oh the distribution
      Returns:
        generator

    - #### darParametros

          java.util.ArrayList<java.lang.String> darParametros()

      Resturns the parameters of the distribution
      Returns:
        distribution parameters

    - #### darDistribucion

          umontreal.iro.lecuyer.probdist.ContinuousDistribution darDistribucion()

      Returns the distribution
      Returns:
        the distrition

    - #### darGenerador

          umontreal.iro.lecuyer.randvar.RandomVariateGen darGenerador(umontreal.iro.lecuyer.rng.RandomStream s,
                                                                    java.lang.String modGenT)

      Returns the generator for the distribution
      Parameters:
        `s` - U generator
        `modGenT` - Name of the distribution
      Returns:
        The generator

    - #### darGenerador

          umontreal.iro.lecuyer.randvar.RandomVariateGen darGenerador()

      Returns the actual distribution
      Returns:
        the actual distribution

    - #### ajustarParametros

          void ajustarParametros(cern.colt.list.DoubleArrayList data)

      Fits the parameters of the distribution to data
      Parameters:
        `data` - data

    - #### getMoments

          double[] getMoments()

      Gets the moments from the distribution
      Returns:
        an array of the moments

    - #### aString

          java.lang.String aString()

      Returns and string with the description of the distribution
      Returns:
        the description

    - #### getPDF

          org.jfree.data.xy.DefaultTableXYDataset getPDF(double a,
                                                       double b,
                                                       int m)

      Returns and dataset with the PDF of the distribution in different points, this method is necessary for painting the distribution
      Parameters:
        `a` - minimum point
        `b` - maximum point
        `m` - number of x domain points
      Returns:
        The table

    - #### getName

          java.lang.String getName()

      Returns the name of the distribution
      Returns:
        the name of the distribution